Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.hibernate.type
Class EncryptedBinaryType

    Object
      org.jasypt.hibernate.type.EncryptedBinaryType

All Implemented Interfaces:
  org.hibernate.usertype.ParameterizedType, org.hibernate.usertype.UserType

Deprecated. Will be removed in 1.11. Package org.jasypt.hibernate.connectionprovider has been renamed as org.jasypt.hibernate3.connectionprovider.

    public final class EncryptedBinaryType

extends Object
implements org.hibernate.usertype.UserType, org.hibernate.usertype.ParameterizedType

A Hibernate `UserType` implementation which allows transparent encryption of byte[] values during persistence of entities.

This class is intended only for declarative use from a Hibernate mapping file. Do not use it directly from your `.java` files (although of course you can use it when mapping entities using annotations).

To use this Hibernate type in one of your Hibernate mappings, you can add it like this:

      <hibernate-mapping package="myapp">
        ...
        <typedef name="encryptedBinary" class="org.jasypt.hibernate.type.EncryptedBinaryType">
          <param name="encryptorRegisteredName">myHibernateByteEncryptor</param>
        </typedef>
        ...
        <class name="UserData" table="USER_DATA">
          ...
          <property name="resume" column="RESUME" type="encryptedBinary" />
          ...
        <class>
        ...
      <hibernate-mapping>

...where a `HibernatePBEByteEncryptor` object should have been previously registered to be used from Hibernate with name `myHibernateByteEncryptor` (see `HibernatePBEByteEncryptor` and `HibernatePBEEncryptorRegistry`).

Or, if you prefer to avoid registration of encryptors, you can configure your encryptor directly in the mapping file (although not recommended), like this:

      <hibernate-mapping package="myapp">
        ...
        <typedef name="encryptedBinary" class="org.jasypt.hibernate.type.EncryptedBinaryType">
          <param name="algorithm">PBEWithMD5AndTripleDES</param>
          <param name="password">XXXXX</param>
          <param name="keyObtentionIterations">1000</param>
        </typedef>
        ...
        <class name="UserData" table="USER_DATA">
          ...
          <property name="resume" column="RESUME" type="encryptedBinary" />
          ...
        <class>
        ...
      <hibernate-mapping>

To learn more about usage of user-defined types, please refer to the Hibernate Reference Documentation.

Since:
  1.2
Author:
  Daniel Fernández

Constructor Summary
`EncryptedBinaryType()` Deprecated.

Method Summary
`Object` | `assemble(java.io.Serializable cached, Object owner)` Deprecated.
`Object` | `deepCopy(Object value)` Deprecated.
`java.io.Serializable` | `disassemble(Object value)` Deprecated.
`boolean` | `equals(Object x, Object y)` Deprecated.
`int` | `hashCode(Object x)` Deprecated.
`boolean` | `isMutable()` Deprecated.
`Object` | `nullSafeGet(java.sql.ResultSet rs, String[] names, Object owner)` Deprecated.
`void` | `nullSafeSet(java.sql.PreparedStatement st, Object value, int index)` Deprecated.
`Object` | `replace(Object original, Object target, Object owner)` Deprecated.
`Class` | `returnedClass()` Deprecated.
`void` | `setParameterValues(java.util.Properties parameters)` Deprecated.
`int[]` | `sqlTypes()` Deprecated.

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedBinaryType

    public EncryptedBinaryType()

  Deprecated.

Method Detail

### sqlTypes

    public int[] sqlTypes()

  Deprecated.
  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

### returnedClass

    public Class returnedClass()

  Deprecated.
  Specified by:
    `returnedClass` in interface `org.hibernate.usertype.UserType`

### equals

    public boolean equals(Object x,
                          Object y)
                   throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### deepCopy

    public Object deepCopy(Object value)
                    throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### assemble

    public Object assemble(java.io.Serializable cached,
                           Object owner)
                    throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### disassemble

    public java.io.Serializable disassemble(Object value)
                                     throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Deprecated.
  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### hashCode

    public int hashCode(Object x)
                 throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### replace

    public Object replace(Object original,
                          Object target,
                          Object owner)
                   throws org.hibernate.HibernateException

  Deprecated.
  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### nullSafeGet

    public Object nullSafeGet(java.sql.ResultSet rs,
                              String[] names,
                              Object owner)
                       throws org.hibernate.HibernateException,
                              java.sql.SQLException

  Deprecated.
  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement st,
                            Object value,
                            int index)
                     throws org.hibernate.HibernateException,
                            java.sql.SQLException

  Deprecated.
  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### setParameterValues

    public void setParameterValues(java.util.Properties parameters)

  Deprecated.
  Specified by:
    `setParameterValues` in interface `org.hibernate.usertype.ParameterizedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.